GDBserver

Public Attributes | List of all members
osdata_type Struct Reference

## Public Attributes
const char * | type
const char * | title
const char * | description
LONGEST(* | getter )(gdb_byte *readbuf, ULONGEST offset, ULONGEST len)

## Detailed Description

Definition at line 1586 of file linux-osdata.c.

## Member Data Documentation

## ◆ description

const char* osdata_type::description

Definition at line 1589 of file linux-osdata.c.

## ◆ getter

LONGEST(* osdata_type::getter) (gdb_byte *readbuf, ULONGEST offset, ULONGEST len)

Definition at line 1590 of file linux-osdata.c.

## ◆ title

const char* osdata_type::title

Definition at line 1588 of file linux-osdata.c.

## ◆ type

const char* osdata_type::type

Definition at line 1587 of file linux-osdata.c.

Referenced by linux_common_xfer_osdata().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nat/linux-osdata.c